/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT4.dat, Mon Dec 12 18:36:43 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000001F9 (505)
 *     Revision         0x01
 *     Checksum         0xFB
 *     OEM ID           "LENOVO"
 *     OEM Table ID     "PtidDevc"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("SSDT4.aml", "SSDT", 1, "LENOVO", "PtidDevc", 0x00001000)
{
    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))
            Name (_CID, EisaId ("PNP0C02"))
            Name (IVER, 0x00030000)
            Method (_STA, 0, NotSerialized)
            {
                Return (0x0F)
            }

            Name (TSDL, Package (0x0C)
            {
                Zero, 
                "CPU DTS", 
                0x0A, 
                "System", 
                0x03, 
                "T8", 
                One, 
                "onboard GFX ", 
                One, 
                "MCH/GFX", 
                0x03, 
                "PCH"
            })
            Name (PSDL, Package (0x02)
            {
                0x0A, 
                "System power consumption"
            })
            Name (OSDL, Package (0x03)
            {
                Zero, 
                "CPU Fan Speed", 
                "RPM"
            })
            Method (TSDD, 0, NotSerialized)
            {
                Name (TMPV, Package (0x06)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Name (PWRV, Package (0x01)
                {
                    0x80000000
                })
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Name (OSDV, Package (0x01)
                {
                    0x80000000
                })
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }

            Name (PADA, Package (0x0A)
            {
                One, 
                Ones, 
                Ones, 
                0x20, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones
            })
            Name (PADD, Package (0x0A)
            {
                0x02, 
                0x6E, 
                0x6A, 
                0x18, 
                0x62, 
                0x63, 
                0x60, 
                0x61, 
                0x65, 
                0x64
            })
            Method (PADT, 0, NotSerialized)
            {
                Return (PADD)
            }

            Method (RPMD, 0, NotSerialized)
            {
                Name (MTMP, Buffer (0x2C) {})
                Return (MTMP)
            }

            Method (WPMD, 1, NotSerialized)
            {
                If (LNotEqual (SizeOf (Arg0), 0x2C))
                {
                    Return (Ones)
                }

                Return (Zero)
            }

            Method (ISPC, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (ENPC, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (RPCS, 0, NotSerialized)
            {
                Store (Zero, Local0)
                Return (Local0)
            }

            Method (RPEC, 0, NotSerialized)
            {
                Store (Zero, Local0)
                Store (Zero, Local1)
                Or (Local0, Local1, Local0)
                Or (Local0, ShiftLeft (Local1, 0x08), Local0)
                Or (Local0, ShiftLeft (Local1, 0x10), Local0)
                Or (Local0, ShiftLeft (Local1, 0x18), Local0)
                Return (Local0)
            }
        }
    }
}

